DELETE
/profilingGroups/{profilingGroupName}/notificationConfiguration/{channelId}
http://codeguru-profiler.{region}.amazonaws.com/profilingGroups/{profilingGroupName}/notificationConfiguration/{channelId}Remove one anomaly notifications channel for a profiling group.
Access Token Required: API Key
Path Parameters
channelIdstringrequired
The id of the channel that we want to stop receiving notifications.
profilingGroupNamestringrequired
The name of the profiling group we want to change notification configuration for.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://codeguru-profiler.{region}.amazonaws.com/profilingGroups/{profilingGroupName}/notificationConfiguration/{channelId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}